Summary: Allows you to retrieve and manipulate images from digital cameras
Name: gphoto        
Version: 0.4.3
Release: 8
Epoch: 1
Copyright: GPL
Group: Applications/Publishing
Source: ftp://ftp.gphoto.org/projects/gphoto/pub/tar/gphoto/0.4/gphoto-%{version}.tar.gz
Patch: gphoto-option.patch
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.gphoto.org/
BuildRequires: gtk+ >= 1.2.3
Requires: gtk+ >= 1.2.3

%description
gPhoto enables you to take a photo from any digital camera, load it
onto your Linux system, print it, mail it, put it on your web site,
save it on your storage media in popular graphics formats or just view
it on your monitor. gPhoto sports a new HTML engine that allows the
creation of gallery themes (HTML templates with special tags) making
publishing images to the world wide web a snap. A directory browse
mode is implemented making it easy to create an HTML gallery from
images already on your computer.

%prep
%setup -q
%patch -p1 -b .option

%build
%configure --libdir=%{_prefix}/lib/gphoto --libexecdir=%{_prefix}/lib/gphoto
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Applications/gphoto.desktop << EOF
[Desktop Entry]
Name=gPhoto
Name[sv]=gPhoto
Type=Application
Exec=/usr/bin/gphoto %f
Comment=Allows you to retrieve and manipulate images from digital cameras
Comment[sv]=Lter dig hmta och manipulera bilder frn digitalkameror
Icon=
EOF

%post -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ MANUAL NEWS README THEMES THANKS
%{_mandir}/*/*
%{_prefix}/bin/*
%{_prefix}/share/gphoto
%dir %{_prefix}/lib/gphoto
%{_prefix}/lib/gphoto/*
%config /etc/X11/applnk/Applications/gphoto.desktop

%changelog
* Wed Aug 16 2000 Than Ngo <than@redhat.com>
- apply path from Tim Waugh to handle option in desktop file (Bug #16319)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- add swedish translation (Bug 15309)

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Don't pass any args to gphoto, its option parser is heinously broken

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 28 2000 Matt Wilson <msw@redhat.com>
- use %%configure and %%makeinstall to catch all the files and put them
  in the correct places.

* Mon Jun 26 2000 Karsten Hopp <karsten@redhat.de>
- somehow gphoto 0.4.3 didn't get into 7.0. rebuild

* Sat Jun 10 2000 Karsten Hopp <karsten@redhat.de>
- fixed mandir

* Thu May 11 2000 Tim Powers <timp@redhat.com>
- updated to 0.4.3
- cleaned up the spec file a bit
- used --libdir=%{_prefix}/lib/gphoto since there is soooo much there

* Mon Feb 21 2000 Tim Powers <timp@redhat.com>
- Doh! The drivers weren't included in the file list. Fixed.

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- using DESTDIR= for install instead of prefix=blah
- added defattr in files section
- removed gzipping of man pages so that rpm/build system can do it
	automatically. Also fixed in files section so that it is /usr/man/*/*
- strib binaries in /usr/bin, not sure if it would be acceptable to strip the
	drivers. So not doing it.

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- 0.4.2, desktop file is a config file

* Wed Nov 10 1999 Tim Powers <timp@redhat.com>
- started changelog
- updated from 0.3.0 to 0.4.0
- gzip man pages
- cleaned up %files section a bit
